Skip to main content
GET
/
candidate
/
{candidateid}
Get candidate by ID
curl --request GET \
  --url https://jobaffinity.fr/restapi/v1/candidate/{candidateid} \
  --header 'Authorization: Basic <encoded-value>'
{
  "_self": "<string>",
  "_schema": "<string>",
  "_status": "OK",
  "id": 123,
  "title": "MR",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "email_secondary": "jsmith@example.com",
  "birthdate": "2023-12-25",
  "home_phone": "<string>",
  "mobile_phone": "<string>",
  "office_phone": "<string>",
  "location": {
    "address": "<string>",
    "postalcode": "<string>",
    "town": "<string>",
    "country": "<string>"
  },
  "position": "<string>",
  "position_company": "<string>",
  "experience_start": "2023-12-25",
  "linkedin": "<string>",
  "instagram": "<string>",
  "applications": {
    "_self": "<string>"
  },
  "notes": {
    "_self": "<string>"
  },
  "pools": {
    "items": [
      {
        "name": "<string>",
        "candidates": {
          "_self": "<string>"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Path Parameters

candidateid
integer
required

Candidate ID

Response

Candidate details

_self
string<uri>

URL of the candidate resource

_schema
string<uri>
_status
enum<string>
Available options:
OK,
INVALID
id
integer

Candidate identifier

title
enum<string>

Candidate title

Available options:
MR,
MS
first_name
string

First name

last_name
string

Last name

email
string<email>

Primary email address

email_secondary
string<email>

Secondary email address

birthdate
string<date>

Date of birth (YYYY-MM-DD)

home_phone
string

Home phone number

mobile_phone
string

Mobile phone number

office_phone
string

Office phone number

location
object

Candidate postal address

position
string

Current position/job title

position_company
string

Current company

experience_start
string<date>

Start of professional experience (YYYY-MM-DD)

linkedin
string<uri>

LinkedIn profile URL

instagram
string<uri>

Instagram profile URL

applications
object
notes
object
pools
object

Candidate pools (viviers)